Subject: Re: [PATCH v2 00/13] hook.[ch]: new library to run hooks + simple hook conversion

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Oct 2021 11:04:03 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I haven't looked into worktree-add.sh failure (and from what Eric says
> it seems unrelated), but all the rest is due to a mismerge of
> reset.c. The diff here at the end on top of "seen" fixes it[1].

Ahh, of course.

The "update_refs()" call is what replaces the
big block that had a bit of conflict in the way how a hook is run,
where the original made a call to run_hook_le() now we set up an
opt structure and make a call to run_hooks_oneshot().  Dropping the
call to it would of course mean no hooks would be run from there X-<.

Thanks.